Loading...
Searching...
No Matches
casacore::SDPolarizationHandler Class Reference
msfits package (libcasa_msfits) » MSFits_module » MSFits_module_internal_classes

More...

`#include <SDPolarizationHandler.h>`

## Public Member Functions

| SDPolarizationHandler ()
| default ctor is not attached to a MS and hence is useless until attached
| SDPolarizationHandler (MeasurementSet &ms, Vector< Bool > &handledCols, const Record &row)
| attach this to a MS - no columns are explicitly handled here
| SDPolarizationHandler (const SDPolarizationHandler &other)
| copy ctor
| ~SDPolarizationHandler ()
SDPolarizationHandler & | operator= (const SDPolarizationHandler &other)
| assignment operator, uses copy semantics
void | attach (MeasurementSet &ms, Vector< Bool > &handledCols, const Record &row)
| attach to a MS, the handledCols and row arguments are ignored here
void | resetRow (const Record &row)
| reset internals given indicated row, use the same MS; just resets the id pointer
void | fill (const Record &row, const Vector< Int > &stokes)
| fill - a new row is added only when necessary
Int | polarizationId ()
| get the current polarization ID

## Private Member Functions

void | stokesKeys (Int stokesValue, Int &key1, Int &key2)
| decompose a stokes value into constituent parts for use in making the CORR_PRODUCT matrix
void | clearAll ()
| cleanup everything
void | clearRow ()
void | initAll (MeasurementSet &ms, Vector< Bool > &handledCols, const Record &row)
| initialize everything
void | initRow (Vector< Bool > &handledCols, const Record &row)

## Private Attributes

RecordFieldPtr< Int > | numCorrKey_p
ColumnsIndex * | index_p
MSPolarization * | msPol_p
MSPolarizationColumns * | msPolCols_p
Int | rownr_p
RORecordFieldPtr< Int > | numCorrField_p
| from a pre-existing MS
RORecordFieldPtr< Array< Int > > | corrTypeField_p
RORecordFieldPtr< Array< Int > > | corrProductField_p
RORecordFieldPtr< Bool > | flagRowField_p

## Detailed Description

### Intended use:

Internal or

### Intended use:

Internal

### Review Status

Date Reviewed:
  yyyy/mm/dd

### Prerequisite

- SomeClass
- SomeOtherClass
- some concept

### Etymology

### Synopsis

### Example

### Motivation

### Template Type Argument Requirements (T)

### Thrown Exceptions

### To Do

- add this feature
- fix this bug
- start discussion of this possible extension

Definition at line 84 of file SDPolarizationHandler.h.

## Constructor & Destructor Documentation

## SDPolarizationHandler() [1/3]

casacore::SDPolarizationHandler::SDPolarizationHandler | ( |  | ) |

default ctor is not attached to a MS and hence is useless until attached

Referenced by operator=(), and SDPolarizationHandler().

## SDPolarizationHandler() [2/3]

casacore::SDPolarizationHandler::SDPolarizationHandler | ( | MeasurementSet & | ms,
|  | Vector< Bool > & | handledCols,
|  | const Record & | row )

attach this to a MS - no columns are explicitly handled here

References casacore::Record().

## SDPolarizationHandler() [3/3]

casacore::SDPolarizationHandler::SDPolarizationHandler | ( | const SDPolarizationHandler & | other | ) |

copy ctor

References SDPolarizationHandler().

## ~SDPolarizationHandler()

casacore::SDPolarizationHandler::~SDPolarizationHandler | ( |  | ) |

inline

Definition at line 96 of file SDPolarizationHandler.h.

References clearAll().

## Member Function Documentation

## attach()

void casacore::SDPolarizationHandler::attach | ( | MeasurementSet & | ms,
|  | Vector< Bool > & | handledCols,
|  | const Record & | row )

attach to a MS, the handledCols and row arguments are ignored here

References casacore::Record().

## clearAll()

void casacore::SDPolarizationHandler::clearAll | ( |  | ) |

private

cleanup everything

Referenced by ~SDPolarizationHandler().

## clearRow()

void casacore::SDPolarizationHandler::clearRow | ( |  | ) |

private

## fill()

void casacore::SDPolarizationHandler::fill | ( | const Record & | row,
|  | const Vector< Int > & | stokes )

fill - a new row is added only when necessary

References casacore::Record().

## initAll()

void casacore::SDPolarizationHandler::initAll | ( | MeasurementSet & | ms,
|  | Vector< Bool > & | handledCols,
|  | const Record & | row )

private

initialize everything

References casacore::Record().

## initRow()

void casacore::SDPolarizationHandler::initRow | ( | Vector< Bool > & | handledCols,
|  | const Record & | row )

private

References casacore::Record().

## operator=()

SDPolarizationHandler & casacore::SDPolarizationHandler::operator= | ( | const SDPolarizationHandler & | other | ) |

assignment operator, uses copy semantics

References SDPolarizationHandler().

## polarizationId()

Int casacore::SDPolarizationHandler::polarizationId | ( |  | ) |

inline

get the current polarization ID

Definition at line 111 of file SDPolarizationHandler.h.

References rownr_p.

## resetRow()

void casacore::SDPolarizationHandler::resetRow | ( | const Record & | row | ) |

reset internals given indicated row, use the same MS; just resets the id pointer

References casacore::Record().

## stokesKeys()

void casacore::SDPolarizationHandler::stokesKeys | ( | Int | stokesValue,
|  | Int & | key1,
|  | Int & | key2 )

private

decompose a stokes value into constituent parts for use in making the CORR_PRODUCT matrix

## Member Data Documentation

## corrProductField_p

RORecordFieldPtr<Array<Int> > casacore::SDPolarizationHandler::corrProductField_p

private

Definition at line 122 of file SDPolarizationHandler.h.

## corrTypeField_p

RORecordFieldPtr<Array<Int> > casacore::SDPolarizationHandler::corrTypeField_p

private

Definition at line 122 of file SDPolarizationHandler.h.

## flagRowField_p

RORecordFieldPtr<Bool> casacore::SDPolarizationHandler::flagRowField_p

private

Definition at line 123 of file SDPolarizationHandler.h.

## index_p

ColumnsIndex* casacore::SDPolarizationHandler::index_p

private

Definition at line 114 of file SDPolarizationHandler.h.

## msPol_p

MSPolarization* casacore::SDPolarizationHandler::msPol_p

private

Definition at line 115 of file SDPolarizationHandler.h.

## msPolCols_p

MSPolarizationColumns* casacore::SDPolarizationHandler::msPolCols_p

private

Definition at line 116 of file SDPolarizationHandler.h.

## numCorrField_p

RORecordFieldPtr<Int> casacore::SDPolarizationHandler::numCorrField_p

private

from a pre-existing MS

Definition at line 121 of file SDPolarizationHandler.h.

## numCorrKey_p

RecordFieldPtr<Int> casacore::SDPolarizationHandler::numCorrKey_p

private

Definition at line 113 of file SDPolarizationHandler.h.

## rownr_p

Int casacore::SDPolarizationHandler::rownr_p

private

Definition at line 118 of file SDPolarizationHandler.h.

Referenced by polarizationId().

The documentation for this class was generated from the following file:

- msfits/MSFits/SDPolarizationHandler.h